package com.example.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@Accessors(chain = true)
@TableName("db_verify_email")
public class VerifyEmail {
    @TableId(type = IdType.AUTO)
    Integer id;
    String email;
    String type;
    String code;
    Date time;
    boolean success;

    public static VerifyEmail success() {
        return new VerifyEmail().setSuccess(true);
    }

    public static VerifyEmail failure() {
        return new VerifyEmail().setSuccess(false);
    }
}
